import * as _________node_modules__pnpm__fortawesome_fontawesome_common_types_6_1_1_node_modules__fortawesome_fontawesome_common_types_index from '../../../node_modules/.pnpm/@fortawesome+fontawesome-common-types@6.1.1/node_modules/@fortawesome/fontawesome-common-types/index';

declare module "utilities/data" {
    export namespace icon_types {
        const brands: string;
        const duotone: string;
        const light: string;
        const regular: string;
        const solid: string;
    }
    export namespace default_icon_map {
        const name: string;
        namespace type {
            const positive: string;
            const negative: string;
            const info: string;
            const warning: string;
        }
        namespace arrow {
            const up: string;
            const right: string;
            const down: string;
            const left: string;
            const dropdown: string;
        }
        namespace chevron {
            const left_1: string;
            export { left_1 as left };
            const right_1: string;
            export { right_1 as right };
        }
        namespace colorPicker {
            const spectrum: string;
            const tune: string;
            const palette: string;
        }
        namespace pullToRefresh {
            const icon: string;
        }
        namespace carousel {
            const left_2: string;
            export { left_2 as left };
            const right_2: string;
            export { right_2 as right };
            const up_1: string;
            export { up_1 as up };
            const down_1: string;
            export { down_1 as down };
            export const navigationIcon: string;
        }
        namespace chip {
            const remove: string;
            const selected: string;
        }
        namespace datetime {
            const arrowLeft: string;
            const arrowRight: string;
            const now: string;
            const today: string;
        }
        namespace editor {
            export const bold: string;
            export const italic: string;
            export const strikethrough: string;
            export const underline: string;
            export const unorderedList: string;
            export const orderedList: string;
            export const subscript: string;
            export const superscript: string;
            export const hyperlink: string;
            export const toggleFullscreen: string;
            export const quote: string;
            const left_3: string;
            export { left_3 as left };
            export const center: string;
            const right_3: string;
            export { right_3 as right };
            export const justify: string;
            export const print: string;
            export const outdent: string;
            export const indent: string;
            export const removeFormat: string;
            export const formatting: string;
            export const fontSize: string;
            export const align: string;
            export const hr: string;
            export const undo: string;
            export const redo: string;
            export const heading: string;
            export const code: string;
            export const size: string;
            export const font: string;
            export const viewSource: string;
        }
        namespace expansionItem {
            const icon_1: string;
            export { icon_1 as icon };
            export const denseIcon: string;
        }
        namespace fab {
            const icon_2: string;
            export { icon_2 as icon };
            export const activeIcon: string;
        }
        namespace field {
            const clear: string;
            const error: string;
        }
        namespace pagination {
            const first: string;
            const prev: string;
            const next: string;
            const last: string;
        }
        namespace rating {
            const icon_3: string;
            export { icon_3 as icon };
        }
        namespace stepper {
            export const done: string;
            export const active: string;
            const error_1: string;
            export { error_1 as error };
        }
        namespace tabs {
            const left_4: string;
            export { left_4 as left };
            const right_4: string;
            export { right_4 as right };
            const up_2: string;
            export { up_2 as up };
            const down_2: string;
            export { down_2 as down };
        }
        namespace table {
            export const arrowUp: string;
            const warning_1: string;
            export { warning_1 as warning };
            export const firstPage: string;
            export const prevPage: string;
            export const nextPage: string;
            export const lastPage: string;
        }
        namespace tree {
            const icon_4: string;
            export { icon_4 as icon };
        }
        namespace uploader {
            const done_1: string;
            export { done_1 as done };
            const clear_1: string;
            export { clear_1 as clear };
            export const add: string;
            export const upload: string;
            export const removeQueue: string;
            export const removeUploaded: string;
        }
    }
    export const default_icons: string[];
    export const default_icon_aliases: {
        notification: string;
        dashboard: string;
        close: string;
        delete: string;
        add: string;
        menu: string;
        'app-menu': string;
        'item-menu': string;
        settings: string;
        warning: string;
        error: string;
        success: string;
        fullscreen: string;
        'fullscreen-exit': string;
    };
    export namespace icon_prefix_types {
        const fab_1: string;
        export { fab_1 as fab };
        export const fad: string;
        export const fal: string;
        export const far: string;
        export const fas: string;
        export const fa: string;
    }
}
declare module "index" {
    export function useFa(app: any, icon_aliases: any): Promise<void>;
    export type IconName = _________node_modules__pnpm__fortawesome_fontawesome_common_types_6_1_1_node_modules__fortawesome_fontawesome_common_types_index.IconName;
    export type IconPrefix = _________node_modules__pnpm__fortawesome_fontawesome_common_types_6_1_1_node_modules__fortawesome_fontawesome_common_types_index.IconPrefix;
    export type IconLookup = _________node_modules__pnpm__fortawesome_fontawesome_common_types_6_1_1_node_modules__fortawesome_fontawesome_common_types_index.IconLookup;
    export type IconDefinition = _________node_modules__pnpm__fortawesome_fontawesome_common_types_6_1_1_node_modules__fortawesome_fontawesome_common_types_index.IconDefinition;
    export type IconPack = _________node_modules__pnpm__fortawesome_fontawesome_common_types_6_1_1_node_modules__fortawesome_fontawesome_common_types_index.IconPack;
}
